Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Interface BCPGKey

All Known Implementing Classes:
  DSAPublicBCPGKey, DSASecretBCPGKey, ElGamalPublicBCPGKey, ElGamalSecretBCPGKey, RSAPublicBCPGKey, RSASecretBCPGKey

    public interface BCPGKey

base interface for a PGP key

Method Summary
`byte[]` | `getEncoded()` return a string of bytes giving the encoded format of the key, as described by it's format.
`java.lang.String` | `getFormat()` Return the base format for this key - in the case of the symmetric keys it will generally be raw indicating that the key is just a straight byte representation, for an asymmetric key the format will be PGP, indicating the key is a string of MPIs encoded in PGP format.

Method Detail

### getFormat

    java.lang.String getFormat()

  Return the base format for this key - in the case of the symmetric keys it will generally be raw indicating that the key is just a straight byte representation, for an asymmetric key the format will be PGP, indicating the key is a string of MPIs encoded in PGP format.

  Returns:
    "RAW" or "PGP"

### getEncoded

    byte[] getEncoded()

  return a string of bytes giving the encoded format of the key, as described by it's format.

  Returns:
    byte[]

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD